# Copyright 2019 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_div_x4
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_div_x8
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_div_x12
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_div_x16
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_div_x20
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_div_x24
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2fma_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2fma_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2fma_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2fma_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2fma_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2fma_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr1recps1fma_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr1recps1fma_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr1recps1fma_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr1recps1fma_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr1recps1fma_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr1recps1fma_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2recps_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2recps_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2recps_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2recps_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2recps_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_p5_nr2recps_x24
- name: xnn_f32_sigmoid_ukernel__neon_rr2_p5_nr2recps_x4
- name: xnn_f32_sigmoid_ukernel__neon_rr2_p5_nr2recps_x8
- name: xnn_f32_sigmoid_ukernel__neon_rr2_p5_nr2recps_x12
- name: xnn_f32_sigmoid_ukernel__neon_rr2_p5_nr2recps_x16
- name: xnn_f32_sigmoid_ukernel__neon_rr2_p5_nr2recps_x20
- name: xnn_f32_sigmoid_ukernel__neon_rr2_p5_nr2recps_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_div_x4
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_div_x8
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_div_x12
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_div_x16
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_div_x20
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_div_x24
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2fma_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2fma_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2fma_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2fma_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2fma_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2fma_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr1recps1fma_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr1recps1fma_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr1recps1fma_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr1recps1fma_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr1recps1fma_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr1recps1fma_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2recps_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2recps_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2recps_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2recps_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2recps_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut64_p2_nr2recps_x24
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut64_p2_nr2recps_x4
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut64_p2_nr2recps_x8
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut64_p2_nr2recps_x12
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut64_p2_nr2recps_x16
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut64_p2_nr2recps_x20
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut64_p2_nr2recps_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_div_x4
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_div_x8
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_div_x12
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_div_x16
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_div_x20
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_div_x24
  arch:
    - aarch64
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2fma_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2fma_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2fma_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2fma_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2fma_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2fma_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr1recps1fma_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr1recps1fma_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr1recps1fma_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr1recps1fma_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr1recps1fma_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr1recps1fma_x24
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2recps_x4
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2recps_x8
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2recps_x12
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2recps_x16
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2recps_x20
- name: xnn_f32_sigmoid_ukernel__neonfma_rr1_lut2048_p1_nr2recps_x24
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut2048_p1_nr2recps_x4
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut2048_p1_nr2recps_x8
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut2048_p1_nr2recps_x12
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut2048_p1_nr2recps_x16
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut2048_p1_nr2recps_x20
- name: xnn_f32_sigmoid_ukernel__neon_rr2_lut2048_p1_nr2recps_x24
- name: xnn_f32_sigmoid_ukernel__sse2_p5_div_x4
- name: xnn_f32_sigmoid_ukernel__sse2_p5_div_x8
- name: xnn_f32_sigmoid_ukernel__sse2_p5_div_x12
- name: xnn_f32_sigmoid_ukernel__sse2_p5_div_x16
- name: xnn_f32_sigmoid_ukernel__sse2_p5_div_x20
- name: xnn_f32_sigmoid_ukernel__sse2_p5_div_x24
- name: xnn_f32_sigmoid_ukernel__sse41_p5_div_x4
- name: xnn_f32_sigmoid_ukernel__sse41_p5_div_x8
- name: xnn_f32_sigmoid_ukernel__sse41_p5_div_x12
- name: xnn_f32_sigmoid_ukernel__sse41_p5_div_x16
- name: xnn_f32_sigmoid_ukernel__sse41_p5_div_x20
- name: xnn_f32_sigmoid_ukernel__sse41_p5_div_x24
- name: xnn_f32_sigmoid_ukernel__sse2_lut64_p2_div_x4
- name: xnn_f32_sigmoid_ukernel__sse2_lut64_p2_div_x8
- name: xnn_f32_sigmoid_ukernel__sse2_lut64_p2_div_x12
- name: xnn_f32_sigmoid_ukernel__sse2_lut64_p2_div_x16
- name: xnn_f32_sigmoid_ukernel__sse2_lut64_p2_div_x20
- name: xnn_f32_sigmoid_ukernel__sse2_lut64_p2_div_x24
- name: xnn_f32_sigmoid_ukernel__sse41_lut64_p2_div_x4
- name: xnn_f32_sigmoid_ukernel__sse41_lut64_p2_div_x8
- name: xnn_f32_sigmoid_ukernel__sse41_lut64_p2_div_x12
- name: xnn_f32_sigmoid_ukernel__sse41_lut64_p2_div_x16
- name: xnn_f32_sigmoid_ukernel__sse41_lut64_p2_div_x20
- name: xnn_f32_sigmoid_ukernel__sse41_lut64_p2_div_x24
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x8
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x16
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x24
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x32
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x40
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x48
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x56
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x64
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x72
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_div_x80
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x8
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x16
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x24
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x32
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x40
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x48
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x56
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x64
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x72
- name: xnn_f32_sigmoid_ukernel__avx_rr2_p5_nr2_x80
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x8
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x16
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x24
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x32
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x40
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x48
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x56
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x64
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x72
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_div_x80
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x8
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x16
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x24
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x32
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x40
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x48
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x56
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x64
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x72
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr1fma_x80
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x8
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x16
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x24
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x32
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x40
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x48
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x56
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x64
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x72
- name: xnn_f32_sigmoid_ukernel__avx2_rr1_p5_nr2fma_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x16
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x32
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x48
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x64
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x96
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x112
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_div_x128
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x16
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x32
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x48
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x64
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x96
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x112
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_p5_scalef_nr1fma_x128
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x16
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x32
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x48
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x64
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x96
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x112
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_div_x128
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x16
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x32
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x48
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x64
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x96
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x112
- name: xnn_f32_sigmoid_ukernel__avx512f_rr1_lut16_p3_perm_scalef_nr1fma_x128
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x16
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x32
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x48
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x64
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x96
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x112
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_div_x128
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x16
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x32
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x48
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x64
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x80
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x96
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x112
- name: xnn_f32_sigmoid_ukernel__avx512f_rr2_lut32_p2_perm2_scalef_nr1fma_x128
- name: xnn_f32_sigmoid_ukernel__wasmsimd_p5_div_x4
- name: xnn_f32_sigmoid_ukernel__wasmsimd_p5_div_x8
- name: xnn_f32_sigmoid_ukernel__wasmsimd_p5_div_x12
- name: xnn_f32_sigmoid_ukernel__wasmsimd_p5_div_x16
- name: xnn_f32_sigmoid_ukernel__wasmsimd_p5_div_x20
- name: xnn_f32_sigmoid_ukernel__wasmsimd_p5_div_x24
- name: xnn_f32_sigmoid_ukernel__wasmsimd_lut64_p2_div_x4
- name: xnn_f32_sigmoid_ukernel__wasmsimd_lut64_p2_div_x8
- name: xnn_f32_sigmoid_ukernel__wasmsimd_lut64_p2_div_x12
- name: xnn_f32_sigmoid_ukernel__wasmsimd_lut64_p2_div_x16
- name: xnn_f32_sigmoid_ukernel__wasmsimd_lut64_p2_div_x20
- name: xnn_f32_sigmoid_ukernel__wasmsimd_lut64_p2_div_x24
- name: xnn_f32_sigmoid_ukernel__scalar_lut2048_p1_div_x1
- name: xnn_f32_sigmoid_ukernel__scalar_lut2048_p1_div_x2
- name: xnn_f32_sigmoid_ukernel__scalar_lut2048_p1_div_x4
- name: xnn_f32_sigmoid_ukernel__scalar_lut64_p2_div_x1
- name: xnn_f32_sigmoid_ukernel__scalar_lut64_p2_div_x2
- name: xnn_f32_sigmoid_ukernel__scalar_lut64_p2_div_x4
- name: xnn_f32_sigmoid_ukernel__scalar_p5_div_x1
- name: xnn_f32_sigmoid_ukernel__scalar_p5_div_x2
- name: xnn_f32_sigmoid_ukernel__scalar_p5_div_x4
